signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
LosetupHandler Class Reference

Handles mounting, unmounting of loopback devices. More...

`#include <crypto-handlers.h>`

## Static Public Member Functions
static bool | setupDevice (const QString &deviceName, const QString &blockDevice)
| Mounts a block device to loopback device. More...
static QString | findAvailableDevice ()
| Finds an available loopback device. More...
static bool | releaseDevice (const QString &deviceName)
| Releases a used loopback device. More...

## Detailed Description

Handles mounting, unmounting of loopback devices.

Also helps finding unused loopback devices.

Definition at line 161 of file crypto-handlers.h.

## Member Function Documentation

QString LosetupHandler::findAvailableDevice | ( |  | ) |
| static

Finds an available loopback device.

Returns
  the name of a spare device or a null string if none found.

Definition at line 212 of file crypto-handlers.cpp.

References SystemCommandLineCallHandler::makeCall(), and SystemCommandLineCallHandler::output().

Referenced by CryptoManager::mountFileSystem(), and CryptoManager::setupFileSystem().

bool LosetupHandler::releaseDevice | ( | const QString & | deviceName | ) |
| static

Releases a used loopback device.

Parameters

  deviceName | Loopback device to be released

Returns
  true upon success, false otherwise

Definition at line 229 of file crypto-handlers.cpp.

References SystemCommandLineCallHandler::makeCall().

Referenced by CryptoManager::unmountFileSystem().

bool LosetupHandler::setupDevice | ( | const QString & | deviceName,
|  | const QString & | blockDevice
| ) |  |
| static

Mounts a block device to loopback device.

Parameters

  deviceName | Loopback device to pe set up.
  blockDevice | Block device to be loopback mounted.

Definition at line 203 of file crypto-handlers.cpp.

References SystemCommandLineCallHandler::makeCall().

Referenced by CryptoManager::mountFileSystem(), and CryptoManager::setupFileSystem().

The documentation for this class was generated from the following files:

- src/extensions/cryptsetup/crypto-handlers.h
- src/extensions/cryptsetup/crypto-handlers.cpp